Create Intra Transfer
curl --request POST \
--url https://spark.test.woodcore.co/api/v2/intratransfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"comment": "A description of the transfer",
"fromAccountId": 2,
"fromAccountType": "savings",
"fromClientId": 1,
"fromOfficeId": 1,
"toAccountId": 2,
"toAccountType": "savings",
"toClientId": 1,
"toOfficeId": 1,
"transactionDate": "17 March 2022",
"transferAmount": "112.45"
}
'import requests
url = "https://spark.test.woodcore.co/api/v2/intratransfer"
payload = {
"comment": "A description of the transfer",
"fromAccountId": 2,
"fromAccountType": "savings",
"fromClientId": 1,
"fromOfficeId": 1,
"toAccountId": 2,
"toAccountType": "savings",
"toClientId": 1,
"toOfficeId": 1,
"transactionDate": "17 March 2022",
"transferAmount": "112.45"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
comment: 'A description of the transfer',
fromAccountId: 2,
fromAccountType: 'savings',
fromClientId: 1,
fromOfficeId: 1,
toAccountId: 2,
toAccountType: 'savings',
toClientId: 1,
toOfficeId: 1,
transactionDate: '17 March 2022',
transferAmount: '112.45'
})
};
fetch('https://spark.test.woodcore.co/api/v2/intratransfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Transactions
Create Intra Transfer
POST
/
intratransfer
Create Intra Transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"A description of the transfer"
Example:
2
Example:
"savings"
Example:
1
Example:
1
Example:
2
Example:
"savings"
Example:
1
Example:
1
Example:
"17 March 2022"
Example:
"112.45"
Response
200 - application/json
{}
The response is of type object.
⌘I